import { h as hu } from "./codemirror.es2-DH2syXui.js";
import { k } from "./dialog.es2-YCypbz3V.js";
var s = Object.defineProperty;
var n = (e, o) => s(e, "name", { value: o, configurable: true });
function c(e, o) {
  for (var a = 0; a < o.length; a++) {
    const r = o[a];
    if (typeof r != "string" && !Array.isArray(r)) {
      for (const t in r)
        if (t !== "default" && !(t in e)) {
          const i = Object.getOwnPropertyDescriptor(r, t);
          i && Object.defineProperty(e, t, i.get ? i : {
            enumerable: true,
            get: () => r[t]
          });
        }
    }
  }
  return Object.freeze(Object.defineProperty(e, Symbol.toStringTag, { value: "Module" }));
}
n(c, "_mergeNamespaces");
var f = k();
const p = /* @__PURE__ */ hu(f), y = /* @__PURE__ */ c({
  __proto__: null,
  default: p
}, [f]);
export {
  y as d
};
